---
title: "Gathering hardware"
type: Chapter
slug: true
front: true
---

<span template-type="chapter"></span>

When salvaging for parts, we are looking for abandoned hardware. Hardware that is still fine on the inside, but no longer deemed as functional by its previous owners[^no-longer-functional]. These devices can be a literal goldmine of working parts that could be repurposed, as their inner parts probably still function, it’s the stylistic obsolescence [^stylistic-obsolescence] that is the problem.

<ins>dit gaat dus over dat bedrijven strategieen in place hebben om je te laten geloven dat alles geupgrade moet worden</ins>
Remy & Huang state that the main goals of ICT is researching new technologies and selling more products [@remyLimitsSustainableInteraction2015]. To address the latter, companies have pushed for structured obsolescence; the idea that a product has a limited lifespan and will be consumed and upgraded within a few years is embedded in the manufacturing, marketing and even the naming of the product [^naming]. The strategy has been active in the consumer product since the end of the 19th centry as a proposed soltution for overproduction [@hertzZombieMediaCircuit2012], resulting in many devices that since have been upgraded, replaced, devalued and thrown out, before ever reaching their full potential [@parksFallingApartElectronics2007]. It is exactly these machines we are looking foor. So, where to find them?

[^naming]: Samsung Galaxy 16, iPhone 12s, even the dyson stofzuiger has version control. This clearly states that there will be a newer version, and yours will be outdated for sure.
[^no-longer-functional]: The spectrum of "still fine" and "no longer deemed as functional" is very wide. Think about printers for which their specific cartridges are no longer produced, Blu-ray players, the E.T. game that was buried, that iPhone 8 with a bad battery, Spotify's "Car Thing", etc.

[^stylistic-obsolescence]: **stylistic obsolescence** The idea that objects can go out of fashion and therefore should be replaced every season [@sterneOutTrashFuture2007]

I’ve identified 3 strategies for gathering the electronic hardware.

#### 1. Browsing the streets
I feel like good waste *“comes to you”*. Keep your eyes open, look around. Actively going on waste walks has not been very fruitful for me [^unbinair-waste]. The success is dependent on where you live and the waste regulations and activities[^waste-activities]. Information about waste management should[^should-be-communicated] be communicated via the municipality.

[^unbinair-waste]: Artist unbinair, who works with reverse-engineering e-waste states that in the early 2000’s it was much easier to find e-waste on the streets. <ins>I would like to mention the hidden waste streams discussed in [@fennisOntologyElectronicWaste2022]</ins>

[^waste-activities]: In Rotterdam, there are various WhatsApp & Facebook groups exchanging geo locations for great trash.

[^should-be-communicated]: The municipality waste guide website & app of Rotterdam is not functioning and has not been updated since 2022.

#### 2. Donations from friends & family
As you enthusiastically keep your friends & family in the loop about your salvaging endeavors, you’ll notice the phenomenon of donations. Since a large portion of our replaced computing devices still reside in our storage units, waiting to be of any value, most would be happy to find such a good destination as you. Additionally, might be time to check your own skeletons in the closet [@gabrysDigitalRubbishNatural2011].

#### 3. Institutional discards
Institutions where electronic hardware is not their day-to-day business, usually do not have a systematic solution for their e-waste. Due to tax regulations in the Netherlands, many have a system in place to replace their hardware (printers, computers, etc. ), every 5 years. The remainder are put in storage. This could be you!

## Infiltrating the waste stream
My attempts to create a more consistent waste-income through more official routes have not been very successful. These established waste streams, where trash is being collected, organised, and processed in multiple facilities, are quite difficult to discover. For consumers, Gemeente Rotterdam encourages the disposal of electronic devices via recycling centres or in so called drop-off boxes, found in supermarkets and other public spaces. The communication done by the companies and stichtingen that facilitate these location is very much geared towards getting the consumer to bring their waste. There is very little mention of what happens afterwards, and the idea is introduced that there is a full *circulair economy*[^circulair-economy] providing a 100% recycled thing.

Activly engaging with these waste-streams, not only by bringing in but also salvaging from, is not possible. Usually the method of exchange is to translate the waste into monetary value, only being sold in the [bulk](https://my.stichting-open.org/productlist-external). It is not allowed to *take* form recycling centers: Solo salvaging is not invited in this transaction.

[^circulair-economy]: the idea of a closed loop economy, where a 100% of a recycled product is being reused in the production of new products, and no new materials are needed.

Artist & reverse engineer Maurits Fennis calls for a change of question where, instead of introducing more products to solve the e-waste problem, we must reimagine what e-waste actually is. [@fennisOntologyElectronicWaste2022]

Alternatively, the devices can be returned to the manufacturer, trough recycling programs. However, it’s unclear what exactly happens with the recycled material, and is always part of a buying process [^samsung]. This relieves the consumer of the responsibility of disposing their product, but keeps the cycle of buying new intact.

[^samsung]: For instance, [Samsungs recycle program](https://www.samsung.com/nl/inruil/) starts with *“Step 1. Buy your new device with trade-in discount on samsung.com”‌*.

My attempts to establish a relationship with the secondhand shop[^broken] have not been successful, but maybe you’re able to propose a better deal. Out of pity I was allowed to snoop in their garbage bin (which was locked away and filled with goodies). Their waste was already part of a monetized system, and my presence didn’t fit.

HMR and other electronics salvagers boast about their environmentally friendly practices, but what remains unspoken and invisible is the way toxic e-waste flows from Western postindustrial to Asian developing countries.2
uit [@parksFallingApartElectronics2007]

[^broken]: I figured they’d have a lot of devices being donated that are broken, and I’d love to take those.

## Pick your battles
When inspecting a device for salvage possibilities, I try to imagine what the inside of the device looks like. What kind of components might I find? Are there any motors or moving parts? What kind of material is the device made of? What time period is it from? Which companies manufactured the device and its parts? Do I see any use for it now?

If I don’t expect much, I’ll leave it for the next person to salvage.
