---
title: "Components"
type: Chapter
slug: true
nested: "components"
front: true
---

<ins>check all "also known ass"</ins>

The inside of your device exists of multiple parts. Chances are you’ve uncoverd one or multiple Printed Circuit Boards (PCB’s) and *very generally speaking* some sort of input and output components, connected via a certain type of wire[^wires]. For instance, on the inside of a digital picture frame I’ve found a power input, a battery, a screen, speakers, one PCB and an antenna.

In general PCB's are populated with either "trough hole" (THT) or "surface mount" (SMD) components. SMD components are *extremely* tiny and soldered *on top of* a PCB. Their sizes makes their labels difficult to read, and they are only suitable for factory made PCB’s. This makes a large portion of parts unusable for salvage [^tried]. This is also why I never salvage from computers and smartphones. Too many tiny parts.

[^tried]: The biggest issue is the size of the legs, which are impossible to solder without making your own PCB's/I’ve made prototypes with cutting the entire PCB, using conductive ink, copper tape and charcoal pens. None of these strategies worked well.

[^wires]: Great for reuse as well!

## Desoldering
Desoldering parts is generally more difficult then soldering, and requires patience and practice. Ironically, desoldering guns are much more expensive then soldering irons, so here’s how i do it, without one.

In a well ventilated[^well-ventilated] room, heat up the blob of solder thas connects the part to the PCB using a soldering iron. After a couple of seconds, you’ll notice the solder becomes liquid[^liquid]. Then, using tweezers or a plier, i carefully pull the leg out from the backside of the board, and then do the same for the other legs. This process can take somewhere between 10 seconds and 10 minutes, and can be really frustrating.

[^liquid]: How fast this happens, is dependand on the temprature of the soldering iron, and the melting point of the solder that is on the board. If it won’t melt, adding a bit of your own solder helps.

[^well-ventilated]: whilest modern device cannot contain led anymore, older solder will. Do not lick the PCB, clean your hands after and open a window.

## Parts
There are an almost infinite number of parts[^interchangeable_part] that can be found in electronic devices. Some you’ll see in nearly every device, such as resistors, others are more rare. In the next few pages I’ll briefly address some of the more common components. If you want to know more about what each component specifically does, I recommend *Getting started in electronics* [@mimsGettingStartedElectronics1983].

Some parts can easily be identified, by recognising. Others can be more difficult. Looking up their datasheet online can provide information about what it is the thing does. A datasheet can be found by looking up a part number[^part-number]

[^part-number]: Some product manufactures are really protective of their parts, and scratch of the part numbers/  

A lot of parts, like transistors or chips, have their datasheets published online. By looking up the part number in a search engine, they can be found. In these cases, the part number is written on top of the component[^unless]. Datasheets contain a scary amount of information about the part, 99% I do not understand. But they do show which leg is what, and give a bit more insight what kind of part you’re looking at.

[^unless]: Since the manufacturer didn’t think you ever needed to know which oddly specific chip you’re looking at, and deliberately scratched it off.

[^interchangeable_part]: <ins> To research [interchangable parts](https://en.wikipedia.org/wiki/Interchangeable_parts#Late_19th_and_early_20th_centuries:_dissemination_throughout_manufacturing) n.a.v. deze [post](https://northcoastsynthesis.com/news/preferred-values-for-resistors-and-capacitors/)</ins>

::: {.table-wide}
| **Name**                           | **Category**             | **Description**                                                 | **Found in**                                    | **Symbol**                                               | **Value**                |
|------------------------------------|--------------------------|-----------------------------------------------------------------|-------------------------------------------------|----------------------------------------------------------|--------------------------|
| **555 Timer**                      | IC                       | A small chip that generates pulses                              | Timers, LED dimmers                             |                                                          |                          |
| **Capacitor**                      | Capacitor                | Store a voltage                                                 | Everywhere!                                     | ![](./assets/schematics/Capacitor-IEC-Polarized.svg)     | Farads (F)               |
| **Coil**                           | Passive Component        | These funky components can create sounds on their own           | Transformers, relays, wireless charging         | ![](./assets/schematics/Inductor-COM-Air.svg)            |                          |
| **Crystal Oscillator**             | Passive                  | Generates a frequency that is often used as a clock             | Devices that have processors                    |                                                          | Frequency (MHz)          |
| **Diode**                          | Diode                    | Forces current to flow in one direction                         | Everywhere!                                     | ![](./assets/schematics/Diode-COM-Standard.svg)          |                          |
| **Displays**                       | Display                  | Display information                                             | Monitors, calculators, embedded systems         | _nvt_                                                    |                          |
| **LED (Light Emitting Diode)**     | Diode                    | Emit a small light                                              | Everywhere!                                     | ![](./assets/schematics/Diode-COM-LED.svg)               |                          |
| **Logic chips**                    | IC                       | Create logic and switches                                       | Computers, microcontrollers, control circuits   |                                                          |                          |
| **MOSFET**                         | IC                       | Not sure yet                                                    | Power supplies, motor control                   |                                                          | Threshold voltage (V)    |
| **Magnet**                         | Misc                     | Electromagnetic applications, motors                            | Speakers, hard drives                           | _nvt_                                                    |                          |
| **Microcontroller**                | IC                       | Programmable chip, for example the ATmega328                    | Embedded systems, Arduino, automation           | ![](./assets/schematics/Capacitor-IEC-Polarized.svg)     |                          |
| **Microphone**                     | Input                    | Record sound                                                    | Phones, vapes                                   | ![](./assets/schematics/Audio-IEEE-Microphone.svg)       |                          |
| **Motor**                          | Electromechanical Device | Spins when a power is applied                                   | Printers, blenders, vacuums                     | ![](./assets/schematics/motor.png)                       | Voltage (V), Current (A) |
| **NPN Transistor**                 | Transistor               | Amplification/switching                                         | Everywhere!                                     | ![](./assets/schematics/Transistor-COM-BJT-NPN.svg)      |                          |
| **Op-Amp (Operational Amplifier)** | IC                       | Amplifying signals                                              | Audio circuits, sensors, control systems        | ![](./assets/schematics/IC-COM-OpAmp.svg)                |                          |
| **PCB**                            | Misc                     | Where the circuit is placed on                                  | Everywhere!                                     |                                                          |                          |
| **PNP Transistor**                 | Transistor               | Amplification/switching                                         | Everywhere!                                     | ![](./assets/schematics/Transistor-COM-BJT-PNP.svg)      |                          |
| **Piezo disc**                     | Ouput/Input              | Records or creates vibrations                                   | Buzzers, sensors                                |                                                          |                          |
| **Potentiometer**                  | Resistor                 | Limiting voltage trough a knob                                  | Volume knobs, light dimmers                     | ![](./assets/schematics/Resistor-IEEE-Potentiometer.svg) | Resistance (Ohm, Ω)      |
| **Relay**                          | Electromechanical        | Switches power                                                  | Household appliances                            | ![](./assets/schematics/Relay-COM-COM-SPDT.svg)          |                          |
| **Resistor**                       | Resistor                 | Limiting voltage                                                | Everywhere!                                     | ![](./assets/schematics/Resistor-IEEE-Standard.svg)      | Resistance (Ohm, Ω)      |
| **Speaker**                        | Ouput                    | Outputs sound                                                   | Toys, (portable) radio’s                        | ![](./assets/schematics/Audio-COM-Loudspeaker.svg)       | Impedance (Ω)            |
| **Stepper motor**                  | Electromechanical Device | Device that creates a step based movement                       | Printers, disk drives, hard drives, 3d printers |                                                          |                          |
| **Switches & buttons**             | Input                    | Interact with the device                                        | Light switches, keyboards                       | ![](./assets/schematics/Switch-COM-SPST.svg)             |                          |
| **Thermistor**                     | Resistor                 | Limiting voltage dependant on temperature                       | Not sure yet                                    | ![](./assets/schematics/Resistor-IEEE-Thermistor.svg)    | Resistance (Ohm, Ω)      |
| **Trimpots**                       | Resistor                 | Limit voltage trough a small knob adjustable with a screwdriver | Audio circuits, calibration devices             | ![](./assets/schematics/Resistor-IEEE-Trimmer.svg)       | Resistance (Ohm, Ω)      |
| **Voltage regulators**             | Passive Component        | Not sure yet                                                    | Power supplies, embedded systems                |                                                          |                          |{#link-sf .btn-read-more}
:::
