---
title: Resistors
parent: Components
type: Resistor
images:
  - src: ./assets/components/Resistors.JPG
    alt: 'These resistors were salvaged from a Reel to Reel recorder'
usage: "A resistor limits the current going trough. This amount of *resistance* is expressed in Ohm (Ω)"
whereToFind: Everywhere!
schematicSymbol: https://upload.wikimedia.org/wikipedia/commons/thumb/4/44/IEEE_315-1975_%281993%29_2.1.1.a.svg/200px-IEEE_315-1975_%281993%29_2.1.1.a.svg.png
alsoKnownAs: "knob, pot, potentiometer, variable resistor"
---

You’ll find many resistors in almost any electronic product and schematic. It’s good to have a bunch of resistors in various values at hand. Their values can range from 1 ohm to 10.000.000 ohms. The colored bands on a resister can tell you their value In my experience, their values on schematics are usually an indicator, and you can divert slightly without too much impact on your project.

Variable resistors such as *photo resistors* and *potentiometers* are fantastic. Always salvage them, and their knobs.[^knobs] They allow for interaction with your circuit.

[^knobs]: In Rotterdam you’ll find an surprising amount of gas stoves on the streets, ready to be picked up by a garbage truck. I always grab their knobs just by pulling them off.

### Other types of resistors
- Photo resistor\
*Their resistance is based on the amount of light detected*
- Potentiometer\
*Their resistance can be controlled by a knob*
- Stereo potentiometers
*This potentiometer can control two circuits at once, usually used for stereo audio*
- Slide Potentiometer
*Their resistance can be controlled by a slider*
- Trimpots
*These precision variable resistors with a screwdriver. Usually seen in circuits where you might want to tune some things*
- Thermistor
*Their resistance is based on the temprature they detect*
